Name:          yelp-tools
Version:       42.1
Release:       1
Summary:       Create, manage, and publish documentation for Yelp
License:       GPLv2+
URL:           https://wiki.gnome.org/Apps/Yelp/Tools
Source0:       https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz
BuildArch:     noarch

BuildRequires: pkgconfig(yelp-xsl)
BuildRequires: meson itstool libxslt python3-lxml

Requires: itstool libxml2 libxslt python3-lxml
Requires: mallard-rng yelp-xsl

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. 

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license COPYING COPYING.GPL
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/yelp-tools
%{_datadir}/aclocal/yelp.m4

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 42.1-1
- update to 42.1

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 42.0-1
- Update to 42.0

* Wed May 19 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release and Source0

* Wed Nov 27 2019 hexiaowen <hexiaowen@huawei.com> - 3.28.0-3
- Rebuild 

* Sat Jul 14 2018 hexiaowen <hexiaowen@huawei.com> - 3.28.0-2
- Rebuilt for openeuler 

* Mon Mar 12 2018 hexiaowen <hexiaowen@huawei.com> - 3.28.0-1
- package init
